export declare const vars: {
    color: {
        white: `var(--${string})` | `var(--${string}, ${string})`;
        black: `var(--${string})` | `var(--${string}, ${string})`;
        transparent: `var(--${string})` | `var(--${string}, ${string})`;
        primary: `var(--${string})` | `var(--${string}, ${string})`;
        accent: `var(--${string})` | `var(--${string}, ${string})`;
        disabled: `var(--${string})` | `var(--${string}, ${string})`;
        text: `var(--${string})` | `var(--${string}, ${string})`;
        textMuted: `var(--${string})` | `var(--${string}, ${string})`;
        textDanger: `var(--${string})` | `var(--${string}, ${string})`;
        background: `var(--${string})` | `var(--${string}, ${string})`;
        backgroundMuted: `var(--${string})` | `var(--${string}, ${string})`;
        tokenSelectBackground: `var(--${string})` | `var(--${string}, ${string})`;
        tokenSelectHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        tokenSelect: `var(--${string})` | `var(--${string}, ${string})`;
        skeletonLoaderBase: `var(--${string})` | `var(--${string}, ${string})`;
        skeletonLoaderHighlight: `var(--${string})` | `var(--${string}, ${string})`;
        tabBorder: `var(--${string})` | `var(--${string}, ${string})`;
        stakeSectionBackground: `var(--${string})` | `var(--${string}, ${string})`;
        dropdownBackground: `var(--${string})` | `var(--${string}, ${string})`;
        selectValidatorMultiSelectedBackground: `var(--${string})` | `var(--${string}, ${string})`;
        selectValidatorMultiDefaultBackground: `var(--${string})` | `var(--${string}, ${string})`;
        warningBoxBackground: `var(--${string})` | `var(--${string}, ${string})`;
        positionsSectionBackgroundColor: `var(--${string})` | `var(--${string}, ${string})`;
        positionsSectionBorderColor: `var(--${string})` | `var(--${string}, ${string})`;
        positionsSectionDividerColor: `var(--${string})` | `var(--${string}, ${string})`;
        positionsClaimRewardsBackground: `var(--${string})` | `var(--${string}, ${string})`;
        positionsActionRequiredBackground: `var(--${string})` | `var(--${string}, ${string})`;
        positionsPendingBackground: `var(--${string})` | `var(--${string}, ${string})`;
        modalOverlayBackground: `var(--${string})` | `var(--${string}, ${string})`;
        modalBodyBackground: `var(--${string})` | `var(--${string}, ${string})`;
        tooltipBackground: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonColor: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonOutline: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonHoverColor: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonHoverOutline: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonActiveColor: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonActiveBackground: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButtonActiveOutline: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonColor: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonOutline: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonHoverColor: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonHoverOutline: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonActiveColor: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonActiveBackground: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButtonActiveOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonHoverColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonHoverOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonActiveColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonActiveBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallButtonActiveOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonHoverColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonHoverOutline: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonActiveColor: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonActiveBackground: `var(--${string})` | `var(--${string}, ${string})`;
        smallLightButtonActiveOutline: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonColor: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonOutline: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonHoverColor: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonHoverBackground: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonHoverOutline: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonActiveColor: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonActiveBackground: `var(--${string})` | `var(--${string}, ${string})`;
        disabledButtonActiveOutline: `var(--${string})` | `var(--${string}, ${string})`;
        connectKit: {
            accentColor: `var(--${string})` | `var(--${string}, ${string})`;
            accentColorForeground: `var(--${string})` | `var(--${string}, ${string})`;
            actionButtonBorder: `var(--${string})` | `var(--${string}, ${string})`;
            actionButtonBorderMobile: `var(--${string})` | `var(--${string}, ${string})`;
            actionButtonSecondaryBackground: `var(--${string})` | `var(--${string}, ${string})`;
            closeButton: `var(--${string})` | `var(--${string}, ${string})`;
            closeButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
            connectButtonBackground: `var(--${string})` | `var(--${string}, ${string})`;
            connectButtonBackgroundError: `var(--${string})` | `var(--${string}, ${string})`;
            connectButtonInnerBackground: `var(--${string})` | `var(--${string}, ${string})`;
            connectButtonText: `var(--${string})` | `var(--${string}, ${string})`;
            connectButtonTextError: `var(--${string})` | `var(--${string}, ${string})`;
            connectionIndicator: `var(--${string})` | `var(--${string}, ${string})`;
            downloadBottomCardBackground: `var(--${string})` | `var(--${string}, ${string})`;
            downloadTopCardBackground: `var(--${string})` | `var(--${string}, ${string})`;
            error: `var(--${string})` | `var(--${string}, ${string})`;
            generalBorder: `var(--${string})` | `var(--${string}, ${string})`;
            generalBorderDim: `var(--${string})` | `var(--${string}, ${string})`;
            menuItemBackground: `var(--${string})` | `var(--${string}, ${string})`;
            modalBackdrop: `var(--${string})` | `var(--${string}, ${string})`;
            modalBackground: `var(--${string})` | `var(--${string}, ${string})`;
            modalBorder: `var(--${string})` | `var(--${string}, ${string})`;
            modalText: `var(--${string})` | `var(--${string}, ${string})`;
            modalTextDim: `var(--${string})` | `var(--${string}, ${string})`;
            modalTextSecondary: `var(--${string})` | `var(--${string}, ${string})`;
            profileAction: `var(--${string})` | `var(--${string}, ${string})`;
            profileActionHover: `var(--${string})` | `var(--${string}, ${string})`;
            profileForeground: `var(--${string})` | `var(--${string}, ${string})`;
            selectedOptionBorder: `var(--${string})` | `var(--${string}, ${string})`;
            standby: `var(--${string})` | `var(--${string}, ${string})`;
        };
    };
    fontSize: {
        xs: `var(--${string})` | `var(--${string}, ${string})`;
        sm: `var(--${string})` | `var(--${string}, ${string})`;
        md: `var(--${string})` | `var(--${string}, ${string})`;
        lg: `var(--${string})` | `var(--${string}, ${string})`;
        lgx: `var(--${string})` | `var(--${string}, ${string})`;
        xl: `var(--${string})` | `var(--${string}, ${string})`;
        "2xl": `var(--${string})` | `var(--${string}, ${string})`;
        "3xl": `var(--${string})` | `var(--${string}, ${string})`;
        "4xl": `var(--${string})` | `var(--${string}, ${string})`;
        "5xl": `var(--${string})` | `var(--${string}, ${string})`;
        "6xl": `var(--${string})` | `var(--${string}, ${string})`;
    };
    letterSpacing: {
        tighter: `var(--${string})` | `var(--${string}, ${string})`;
        tight: `var(--${string})` | `var(--${string}, ${string})`;
        normal: `var(--${string})` | `var(--${string}, ${string})`;
        wide: `var(--${string})` | `var(--${string}, ${string})`;
        wider: `var(--${string})` | `var(--${string}, ${string})`;
        widest: `var(--${string})` | `var(--${string}, ${string})`;
    };
    lineHeight: {
        none: `var(--${string})` | `var(--${string}, ${string})`;
        shorter: `var(--${string})` | `var(--${string}, ${string})`;
        short: `var(--${string})` | `var(--${string}, ${string})`;
        base: `var(--${string})` | `var(--${string}, ${string})`;
        tall: `var(--${string})` | `var(--${string}, ${string})`;
        taller: `var(--${string})` | `var(--${string}, ${string})`;
        xs: `var(--${string})` | `var(--${string}, ${string})`;
        sm: `var(--${string})` | `var(--${string}, ${string})`;
        md: `var(--${string})` | `var(--${string}, ${string})`;
        lg: `var(--${string})` | `var(--${string}, ${string})`;
        xl: `var(--${string})` | `var(--${string}, ${string})`;
        "2xl": `var(--${string})` | `var(--${string}, ${string})`;
        "3xl": `var(--${string})` | `var(--${string}, ${string})`;
        "4xl": `var(--${string})` | `var(--${string}, ${string})`;
        "5xl": `var(--${string})` | `var(--${string}, ${string})`;
        "6xl": `var(--${string})` | `var(--${string}, ${string})`;
    };
    fontWeight: {
        normal: `var(--${string})` | `var(--${string}, ${string})`;
        medium: `var(--${string})` | `var(--${string}, ${string})`;
        semibold: `var(--${string})` | `var(--${string}, ${string})`;
        bold: `var(--${string})` | `var(--${string}, ${string})`;
        extrabold: `var(--${string})` | `var(--${string}, ${string})`;
        modalHeading: `var(--${string})` | `var(--${string}, ${string})`;
        tokenSelect: `var(--${string})` | `var(--${string}, ${string})`;
        primaryButton: `var(--${string})` | `var(--${string}, ${string})`;
        secondaryButton: `var(--${string})` | `var(--${string}, ${string})`;
    };
    borderRadius: {
        baseContract: {
            none: `var(--${string})` | `var(--${string}, ${string})`;
            sm: `var(--${string})` | `var(--${string}, ${string})`;
            base: `var(--${string})` | `var(--${string}, ${string})`;
            md: `var(--${string})` | `var(--${string}, ${string})`;
            lg: `var(--${string})` | `var(--${string}, ${string})`;
            xl: `var(--${string})` | `var(--${string}, ${string})`;
            "2xl": `var(--${string})` | `var(--${string}, ${string})`;
            "3xl": `var(--${string})` | `var(--${string}, ${string})`;
            full: `var(--${string})` | `var(--${string}, ${string})`;
            half: `var(--${string})` | `var(--${string}, ${string})`;
            widgetBorderRadius: `var(--${string})` | `var(--${string}, ${string})`;
            primaryButton: `var(--${string})` | `var(--${string}, ${string})`;
            secondaryButton: `var(--${string})` | `var(--${string}, ${string})`;
            smallButton: `var(--${string})` | `var(--${string}, ${string})`;
        };
        connectKit: {
            actionButton: `var(--${string})` | `var(--${string}, ${string})`;
            connectButton: `var(--${string})` | `var(--${string}, ${string})`;
            menuButton: `var(--${string})` | `var(--${string}, ${string})`;
            modal: `var(--${string})` | `var(--${string}, ${string})`;
            modalMobile: `var(--${string})` | `var(--${string}, ${string})`;
        };
    };
    space: {
        full: `var(--${string})` | `var(--${string}, ${string})`;
        unset: `var(--${string})` | `var(--${string}, ${string})`;
        auto: `var(--${string})` | `var(--${string}, ${string})`;
        "0": `var(--${string})` | `var(--${string}, ${string})`;
        "1": `var(--${string})` | `var(--${string}, ${string})`;
        "2": `var(--${string})` | `var(--${string}, ${string})`;
        "3": `var(--${string})` | `var(--${string}, ${string})`;
        "4": `var(--${string})` | `var(--${string}, ${string})`;
        "5": `var(--${string})` | `var(--${string}, ${string})`;
        "6": `var(--${string})` | `var(--${string}, ${string})`;
        "7": `var(--${string})` | `var(--${string}, ${string})`;
        "8": `var(--${string})` | `var(--${string}, ${string})`;
        "9": `var(--${string})` | `var(--${string}, ${string})`;
        "10": `var(--${string})` | `var(--${string}, ${string})`;
        "12": `var(--${string})` | `var(--${string}, ${string})`;
        "14": `var(--${string})` | `var(--${string}, ${string})`;
        "16": `var(--${string})` | `var(--${string}, ${string})`;
        "20": `var(--${string})` | `var(--${string}, ${string})`;
        "24": `var(--${string})` | `var(--${string}, ${string})`;
        "28": `var(--${string})` | `var(--${string}, ${string})`;
        "32": `var(--${string})` | `var(--${string}, ${string})`;
        "36": `var(--${string})` | `var(--${string}, ${string})`;
        "40": `var(--${string})` | `var(--${string}, ${string})`;
        "44": `var(--${string})` | `var(--${string}, ${string})`;
        "48": `var(--${string})` | `var(--${string}, ${string})`;
        px: `var(--${string})` | `var(--${string}, ${string})`;
        buttonMinHeight: `var(--${string})` | `var(--${string}, ${string})`;
    };
    heading: {
        h1: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
        h2: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
        h3: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
        h4: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
    };
    text: {
        small: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
        large: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
        medium: {
            mobile: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
            tablet: {
                fontSize: `var(--${string})` | `var(--${string}, ${string})`;
            };
        };
    };
    zIndices: {
        hide: `var(--${string})` | `var(--${string}, ${string})`;
        auto: `var(--${string})` | `var(--${string}, ${string})`;
        simple: `var(--${string})` | `var(--${string}, ${string})`;
        base: `var(--${string})` | `var(--${string}, ${string})`;
        docked: `var(--${string})` | `var(--${string}, ${string})`;
        dropdown: `var(--${string})` | `var(--${string}, ${string})`;
        sticky: `var(--${string})` | `var(--${string}, ${string})`;
        banner: `var(--${string})` | `var(--${string}, ${string})`;
        overlay: `var(--${string})` | `var(--${string}, ${string})`;
        modal: `var(--${string})` | `var(--${string}, ${string})`;
        skipLink: `var(--${string})` | `var(--${string}, ${string})`;
    };
    font: {
        body: `var(--${string})` | `var(--${string}, ${string})`;
    };
};
